Page MenuHomePhabricator

Add thanks and longest streak scorecards to the unactivated state
Closed, ResolvedPublic

Description

Splitting the addition of the scorecards from parent task here so we can track it separately.

Expected behaviour/design

The unactivated module is shown, with the summary panel scorecards for Thanks and Longest streak shown on top, with the values as zero and null ("–") respectively.
See figma https://www.figma.com/file/fOa1x7hw6EM9VnaMJv7vib/Positive-reinforcement?node-id=1449%3A92224&t=UhykIueJ0ZVk0AOV-4

ScenarioDesktopMobileMobile summary (no change)
Scenario A: Person has 0 edits, Suggested edits is enabled. – Use the existing empty state + scorecards
image.png (930×962 px, 115 KB)
image.png (1×724 px, 112 KB)
image.png (432×658 px, 57 KB)
Scenario B: Person has 0 edits, Suggested edits is *disabled*. – Use the empty state + scorecards with references to Suggested edits removedReplace footer text
image.png (930×962 px, 114 KB)
Remove CTA button, replace footer text
image.png (1×724 px, 106 KB)
Same empty state
image.png (432×658 px, 57 KB)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Sgs attached a referenced file: F35741369: image.png. (Show Details)
Sgs attached a referenced file: F35732358: image.png. (Show Details)
Sgs attached a referenced file: F35741386: image.png. (Show Details)
Sgs attached a referenced file: F35741311: image.png. (Show Details)
kostajh triaged this task as Medium priority.Nov 17 2022, 8:28 AM
KStoller-WMF renamed this task from Add thanks and longest streak scorecards to the unacivated state to Add thanks and longest streak scorecards to the unactivated state.Nov 18 2022, 4:06 PM

Change 864777 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] User impact: Add thanks and longest streak scorecards

https://gerrit.wikimedia.org/r/864777

Change 864805 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] User impact: Add thanks and longest streak scorecards

https://gerrit.wikimedia.org/r/864805

Change 864777 abandoned by Sergio Gimeno:

[mediawiki/extensions/GrowthExperiments@master] User impact: Add thanks and longest streak scorecards

Reason:

reworked in I1e697eb2b354b29b1cfb697c9424beaa89410f1d

https://gerrit.wikimedia.org/r/864777

Do we care about 0 thanks not necessarily being true? We are only counting mainspace edits so it's not that unlikely that someone would e.g. make a talkpage comment and get thanked for it while still having 0 mainspace edits.

Do we care about 0 thanks not necessarily being true? We are only counting mainspace edits so it's not that unlikely that someone would e.g. make a talkpage comment and get thanked for it while still having 0 mainspace edits.

cc @KStoller-WMF @KieranMcCann

Do we care about 0 thanks not necessarily being true? We are only counting mainspace edits so it's not that unlikely that someone would e.g. make a talkpage comment and get thanked for it while still having 0 mainspace edits.

After rEGRE53819f929d34: User impact: Do not show impact module if user has no mainspace edits this is not true anymore since we fetch and use the data unconditionally, so thanks do get displayed even if the user has no edits.

@KieranMcCann @KStoller-WMF I'm unsure about the choice of to indicate "null" or "not available" or "not applicable". Will work well across all languages? Is there an icon, or a short text string (e.g. n/a), that we can use here?

@KieranMcCann @KStoller-WMF I'm unsure about the choice of to indicate "null" or "not available" or "not applicable". Will work well across all languages? Is there an icon, or a short text string (e.g. n/a), that we can use here?

Thanks for always being so detail-oriented and considering localization challenges!
I agree that seems imperfect, although I'm not sure "null", "not available", or "not applicable" seems very user-friendly either. But I suppose that could at least be localized... I'll check in with Ambassadors after break to see if they have any thoughts on this so we at least have more perspectives from other language wikis.

@KieranMcCann @KStoller-WMF I'm unsure about the choice of to indicate "null" or "not available" or "not applicable". Will work well across all languages? Is there an icon, or a short text string (e.g. n/a), that we can use here?

Ambassadors discussed about this dash during their weekly meeting. A dash would be understood for all cultures represented in the meeting. However, two questions arose:

  • understanding would be easier if we have a descriptive term instead of a dash, like "0 days" or "n/a"
  • what about screen readers? A dash has multiple meanings and might not be well understood.

Ambassadors discussed about this dash during their weekly meeting. A dash would be understood for all cultures represented in the meeting. However, two questions arose:

  • understanding would be easier if we have a descriptive term instead of a dash, like "0 days" or "n/a"
  • what about screen readers? A dash has multiple meanings and might not be well understood.

My preference would be for “0 days” as this makes most sense in plain language. But is there any instance that would be incorrect? For instance would there be an instance where that value couldn’t be shown but the value might not be zero?

0 seems to be safe: it can't be negative, and as the user edits, it will increase to 1 (and remain as 1 for most user cases).

Sgs changed the task status from Open to In Progress.Jan 19 2023, 2:38 AM

Change 864805 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] User impact: Add thanks and longest streak scorecards to the unactivated state

https://gerrit.wikimedia.org/r/864805

Etonkovidova subscribed.

Checked in testwiki wmf.22 and wmf.21

(1)

ScenarioDesktopMobileMobile summary (no change)
Scenario A: Person has 0 edits, Suggested edits is enabled. – Use the existing empty state + scorecards
image.png (930×962 px, 115 KB)
image.png (1×724 px, 112 KB)
image.png (432×658 px, 57 KB)
Desktop wmf.21Mobile wmf.21Mobile summary (no change) wmf.21
Screen Shot 2023-02-07 at 4.47.52 PM.png (1×1 px, 171 KB)
Screen Shot 2023-02-07 at 4.48.46 PM.png (1×736 px, 170 KB)
Screen Shot 2023-02-07 at 4.48.20 PM.png (832×802 px, 134 KB)

For @RHo review:

  • On Desktop the footer on the mockup has "Start with a few Suggested edits..." vs the current production footer has suggested edits in bold and not capitalized
  • "See suggested edits" button on Mobile is not blue
  • Mobile summary on production has a different footer in the mockup - (production) "Start with few suggested edits..." vs (mockup) "Once you start editing..." Should it be changed to match the mockup?

Questions:

  • first time landing on Impact module overlay in mobile will display a message about a new Impact module. Should it be displayed for the unactivated state? Or the wording should be changed?

Screen Shot 2023-02-07 at 4.48.33 PM.png (1×770 px, 202 KB)

  • frwiktionary wmf.21 displays the old Impact module. No plans to enable the new Impact module there?

Checked in testwiki wmf.22 and wmf.21

(1)

ScenarioDesktopMobileMobile summary (no change)
Scenario A: Person has 0 edits, Suggested edits is enabled. – Use the existing empty state + scorecards
image.png (930×962 px, 115 KB)
image.png (1×724 px, 112 KB)
image.png (432×658 px, 57 KB)
Desktop wmf.21Mobile wmf.21Mobile summary (no change) wmf.21
Screen Shot 2023-02-07 at 4.47.52 PM.png (1×1 px, 171 KB)
Screen Shot 2023-02-07 at 4.48.46 PM.png (1×736 px, 170 KB)
Screen Shot 2023-02-07 at 4.48.20 PM.png (832×802 px, 134 KB)

For @RHo review:

  • On Desktop the footer on the mockup has "Start with a few Suggested edits..." vs the current production footer has suggested edits in bold and not capitalized
  • "See suggested edits" button on Mobile is not blue
  • Mobile summary on production has a different footer in the mockup - (production) "Start with few suggested edits..." vs (mockup) "Once you start editing..." Should it be changed to match the mockup?

Thanks @Etonkovidova! You are correct that the mobile button should be updated to the progressive primary blue, so @Sgs I'm putting back to "In-progress" get updated, thanks!
As for the copy though, we never updated the copy as part of the task so ignore differences from mock to prod.

From figma spec:

image.png (884×1 px, 194 KB)


Questions:

  • first time landing on Impact module overlay in mobile will display a message about a new Impact module. Should it be displayed for the unactivated state? Or the wording should be changed?

Screen Shot 2023-02-07 at 4.48.33 PM.png (1×770 px, 202 KB)

This should only appear for existing newcomers (per criteria in T323619) so I think it's OK to leave it since realistically it won't show up for many people (it would be existing newcomers who have never made an edit going to this for the first time).

  • frwiktionary wmf.21 displays the old Impact module. No plans to enable the new Impact module there?

Maybe a question for @Trizek-WMF?

kostajh moved this task from In Progress to QA on the Growth-Team (Sprint 0 (Growth Team)) board.

I've filed T329157: NewImpact: Make mobile CTA button use progressive primary blue to capture the button color change, and will mark this resolved (AIUI, the button color change is the only issue that needs adjustment.)

  • frwiktionary wmf.21 displays the old Impact module. No plans to enable the new Impact module there?

Maybe a question for @Trizek-WMF?

As the new impact module is only available on a few wikis for test purposes, Wiktionary will get the new impact module along with all other wikis.

But first, we will have to fix it: T329192: When Suggested edits are unavailable, new Impact module stays in unactivated state. ;)